# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/interrupt-controller/loongson,eiointc.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Loongson Extended I/O Interrupt Controller

maintainers:
  - Binbin Zhou <zhoubinbin@loongson.cn>

description: |
  This interrupt controller is found on the Loongson-3 family chips and
  Loongson-2K series chips and is used to distribute interrupts directly to
  individual cores without forwarding them through the HT's interrupt line.

allOf:
  - $ref: /schemas/interrupt-controller.yaml#

properties:
  compatible:
    enum:
      - loongson,ls2k0500-eiointc
      - loongson,ls2k2000-eiointc

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  '#address-cells':
    const: 0

  interrupt-controller: true

  '#interrupt-cells':
    const: 1

required:
  - compatible
  - reg
  - interrupts
  - interrupt-controller
  - '#interrupt-cells'

unevaluatedProperties: false

examples:
  - |
    eiointc: interrupt-controller@1fe11600 {
      compatible = "loongson,ls2k0500-eiointc";
      reg = <0x1fe10000 0x10000>;

      interrupt-controller;
      #interrupt-cells = <1>;

      interrupt-parent = <&cpuintc>;
      interrupts = <3>;
    };

...
